## planify 4.18.0

=== meson_options.txt ===
option('tracing', type: 'boolean', value: false, description: 'add extra debugging information')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default')
option('webkit', type : 'boolean', description: 'build with webkit gtk for in app auth for Todoist')
option('spelling', type: 'feature')
option('portal', type : 'boolean', description: 'build with xdg-portal support for ')
option('evolution', type : 'boolean', description: 'build with evolution for integration with evolution calendars')

=== debian/changelog ===
planify (4.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #1126722)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 08 Feb 2026 17:21:43 +0330

=== debian/control ===
Source: planify
Section: utils
Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Build-Depends:
 debhelper-compat (= 13),
 libgxml-dev,
 libgio-2.0-dev,
 libgee-0.8-dev,
 libgtk-4-dev,
 libsoup-3.0-dev,
 libsqlite3-dev,
 libadwaita-1-dev,
 libjson-glib-dev,
 libical-dev,
 libsecret-1-dev,
 libspelling-1-dev,
 libgtksourceview-5-dev,
 libwebkitgtk-6.0-dev,
 libportal-dev,
 libportal-gtk4-dev,
 gobject-introspection,
 libecal2.0-dev,
 libedataserver1.2-dev,
 cmake,
 meson,
 pkgconf,
 valac,
 desktop-file-utils,
 gtk-update-icon-cache,
Standards-Version: 4.7.3
Homepage: https://useplanify.com
Vcs-Browser: https://salsa.debian.org/amin_modaresi/planify
Vcs-Git: https://salsa.debian.org/amin_modaresi/planify.git

Package: planify
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Task manager with Todoist, Nextcloud & CalDAV support
 Features:
 .
 Modern GTK4 Interface
 Drag & Drop Everything
 Quick Add & Shortcuts
 Rich Task Details
 Smart Organization

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@

execute_before_dh_md5sums:
	mv debian/planify/usr/bin/io.github.alainm23.planify  debian/planify/usr/bin/planify
	mv debian/planify/usr/bin/io.github.alainm23.planify.quick-add  debian/planify/usr/bin/planify-quick-add
	mkdir -p debian/planify/usr/share/metainfo
	mv debian/planify/usr/share/appdata/io.github.alainm23.planify.appdata.xml  debian/planify/usr/share/metainfo
	rm -r debian/planify/usr/share/appdata
	sed -i '6s/^Exec=.*/Exec=planify/' debian/planify/usr/share/applications/io.github.alainm23.planify.desktop
